Bug 61090 - [patch] change characterization of ports that require source to build from BROKEN to IGNORE
Summary: [patch] change characterization of ports that require source to build from BR...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-01-08 19:40 UTC by Mark Linimon
Modified: 2004-01-10 07:20 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (5.25 KB, patch)
2004-01-08 19:40 UTC, Mark Linimon
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Linimon 2004-01-08 19:40:16 UTC
	A common usage among ports that require a kernel source tree
	to compile correctly is to conditionally set BROKEN if the
	required file(s) are not found.  If I understand the intent
	of the code in bsd.port.mk correctly, this would probably
	better be styled as IGNORE and not BROKEN.  As I understand
	it, BROKEN is to indicate ports that are thought to be
	temporarily unbuildable, and IGNORE is to indicate ports
	that are permanently unbuildable in a given configuration.

	For most end-users, the change will be academic.  The bento
	build cluster will not be affected, because it seems to have
	source installed.  The main difference will be to my own
	ports monitoring code (which makes a clear distinction
	between the two) and possibly FreshPorts (I'm not sure;
	I have Cc:ed Dan just in case).

	I have also Cc:ed maintainers of the affected ports
	as a heads-up.  I'm going to assign this to portmgr@
	because I think it deserves discussion before any
	commit hits the repository.

How-To-Repeat: 	(on a non-sourceful system) cd <portname>;make -V BROKEN
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2004-01-08 19:56:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

Since this PR kind of touches on "philosophy" of how the ports 
framework should work, assign it to portmgr to gather feedback. 
I'm willing to do the legwork for the commit itself if it turns 
out not to be controversial.
Comment 2 Ceri Davies freebsd_committer 2004-01-08 23:31:53 UTC
Adding to audit trail, from misfiled PR ports/61091:

Date: Thu, 08 Jan 2004 14:44:11 -0500
From: "Dan Langille" <dan@langille.org>
Message-Id: <3FFD6CBB.25083.FDC34D43@localhost>
In-Reply-To: <200401081938.i08JcrhF073776@lonesome.lonesome.com>

 On 8 Jan 2004 at 13:38, Mark Linimon wrote:
 
 >  For most end-users, the change will be academic.  The bento
 >  build cluster will not be affected, because it seems to have
 >  source installed.  The main difference will be to my own
 >  ports monitoring code (which makes a clear distinction
 >  between the two) and possibly FreshPorts (I'm not sure;
 >  I have Cc:ed Dan just in case).
 
 Looks good to me.  It will have the effect of better reporting to 
 FreshPorts users.
 -- 
 Dan Langille : http://www.langille.org/
Comment 3 Joe Marcus Clarke freebsd_committer 2004-01-10 07:19:01 UTC
State Changed
From-To: open->closed

Committed, thanks! 

Note, this change does have the potential of having a 
positive impact on bento since it treats IGNORE'd ports differently than 
BROKEN ports.  For ports marked IGNORE, bento will mark them as duds, and 
never try to build them.  This could save some precious build cycles on 
the clusters.